Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
quangthanhdu

[Yêu cầu] Lisp tạo Lớp có lineweight?

Các bài được khuyến nghị

3909_1.jpg

 

Để tạo một lớp mới có tên 10, màu đỏ và mục lineweight là 0.35 (NHƯ TRONG HÌNH) thì câu lênh như thế nào? (Lineweight thể hiện như trong hình chứ không phải là Lineweight trong Bảng "Layer properties Manager khi ta gõ lệnh LA trong Command, giá trị trong bảng vẫn để là Default".Mong ý kiến của mọi người!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Dùng 1 câu command đơn giản thôi bạn:

Code dưới đây có chức năng là thay đổi lineweight có sẵn (layer 10 đã có) về chiều dày 0.35.

  (command ".layer" "LW" "0.35" "10" "")

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Dùng 1 câu command đơn giản thôi bạn:

Code dưới đây có chức năng là thay đổi lineweight có sẵn (layer 10 đã có) về chiều dày 0.35.

  (command ".layer" "LW" "0.35" "10" "")

Câu lênh này chỉ đổi Lineweight trong Bảng "Layer properties Manager" chứ không thể hiện giống như trong hình, em muốn khi gõ lệnh "TAOLOP", thì sẽ có 1 layer có tên 10, và có lineweight 0.35 như trong hình.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nhân tiện các bác cho mình hỏi: Bằng AutoLisp, làm thế nào detect giá trị lineweight của một lớp đang tồn tại?
Ví dụ cho Layer "0" được kết quả như sau:


(entget (tblobjname "layer" "0"))

((-1 . <Entity name: -164380>)
(0 . "LAYER")
(330 . <Entity name: -1643f0>)
(5 . "10")
(100 . "AcDbSymbolTableRecord")
(100 . "AcDbLayerTableRecord")
(2 . "0")
(70 . 0)
(62 . 7)
(6 . "Continuous")
(290 . 1)
(370 . 5)
(390 . <Entity name: -164388>)
(347 . <Entity name: -164100>)
)

Chẳng thấy lineweight ở đâu hết các bác ạ!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cám ơn bác, mình tìm ra rồi. Nó là mã 370 với danh sách như sau:
-3 = Default
-2 = ByBlock
-1 = ByLayer
0 = 0.00mm
5 = 0.05mm
9 = 0.09mm
13 = 0.13mm
15 = 0.15mm
18 = 0.18mm
20 = 0.20mm
25 = 0.25mm
30 = 0.30mm
35 = 0.35mm
40 = 0.40mm
50 = 0.50mm
53 = 0.53mm
60 = 0.60mm
70 = 0.70mm
80 = 0.80mm
90 = 0.90mm
100 = 1.00mm
106 = 1.06mm
120 = 1.20mm
140 = 1.40mm
158 = 1.58mm
200 = 2.00mm
211 = 2.11mm

Nó chỉ chấp nhận giá trị trong bảng trên mà không cho phép các giá trị trung gian.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×